**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/23.1/documents/document-renditions/delete-multiple-document-renditions.md

# Delete Multiple Document Renditions



Delete document renditions in bulk.

* The maximum input file size is 1GB.

* The values in the input must be UTF-8 encoded.

* CSVs must follow the standard RFC 4180 format, with some [exceptions](/vault-api/references/csv-rfc-deviations).

* The maximum batch size is 500.

<Endpoint path="/api/{version}/objects/documents/renditions/batch" method="DELETE"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `text/csv` or `application/json` |
| `Accept` | `application/json` (default) or `text/csv` |
</FieldTable>

## Body Parameters {#body-parameters}

<Aside>Some HTTP clients do not support `DELETE` requests with a
body. As a workaround for these cases, you can simulate this request using the
`POST` method with the `_method=DELETE` query parameter.

</Aside>
Create a CSV or JSON input file.

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The system-assigned document ID of the document to delete. Not required if providing a unique field identifier (`idParam`) such as `external_id__v`. |
| `external_id__v` | Instead of `id`, you can use this user-defined document external ID. |
| `rendition_type__v` | Rendition type to delete from the document. |
| `major_version_number__v` | Major version number of the document rendition to remove. |
| `minor_version_number__v` | Minor version number of the document rendition to remove. |
</FieldTable>

## Query Parameters {#query-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X DELETE -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
-H "Accept: text/csv" \
--data-binary @"C:\Vault\Documents\delete_document_renditions.csv" \
https://myvault.veevavault.com/api/v13.0/objects/documents/renditions/batch

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": [
        {
            "responseStatus": "SUCCESS",
            "id": 771,
            "external_id__v": "ALT-DOC-0771",
            "major_version_number__v": 0,
            "minor_version_number__v": 2,
            "rendition_type__c": "imported_rendition__c"
        },
        {
            "responseStatus": "SUCCESS",
            "id": 772,
            "external_id__v": "CHO-DOC-0772",
            "major_version_number__v": 0,
            "minor_version_number__v": 2,
            "rendition_type__c": "imported_rendition__c"
        },
        {
            "responseStatus": "SUCCESS",
            "id": 773,
            "external_id__v": "GLU-DOC-0773",
            "major_version_number__v": 1,
            "minor_version_number__v": 0,
            "rendition_type__c": "imported_rendition__c"
        },
        {
            "responseStatus": "FAILURE",
            "errors": [
                {
                    "type": "INVALID_DATA",
                    "message": "Error message describing why this document rendition was not added."
                }
            ]
        }
    ]
}

```
</CodeExample>

---

**Previous:** [Replace Document Version Rendition](/regulatory/vault-api/api-reference/23.1/documents/document-renditions/replace-document-version-rendition)  
**Next:** [Delete Single Document Rendition](/regulatory/vault-api/api-reference/23.1/documents/document-renditions/delete-single-document-rendition)